package com.miya.fastcashier.service

import com.miya.fastcashier.beans.SelfCashierAccountInfo
import com.miya.fastcashier.beans.LoginRequest;
import okhttp3.OkHttpClient
import okhttp3.logging.HttpLoggingInterceptor
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import retrofit2.http.Body
import retrofit2.http.POST


interface LoginService {

    @POST("verify/auth/token")
    suspend fun login(@Body loginRequestCall: LoginRequest): BaseResult<SelfCashierAccountInfo>

    companion object {

        private const val BASE_URL = "https://hhmspre.miyapay.com/"

        private var service: LoginService? = null

        fun getApi(): LoginService {
            if (null == service) {
                val httpLoggingInterceptor =
                    HttpLoggingInterceptor().apply { level = HttpLoggingInterceptor.Level.BASIC }

                val client = OkHttpClient.Builder()
//                    .addInterceptor(httpLoggingInterceptor)
                    .build()

                val retrofit = Retrofit.Builder()
                    .baseUrl(BASE_URL)
                    .client(client)
                    .addConverterFactory(GsonConverterFactory.create())
                    .build()

                service = retrofit.create(LoginService::class.java)
            }

            return service!!
        }
    }

}